#include<bits/stdc++.h>
using namespace std;
int main()
{
    int n;
    int t;
    cin>>t;
    cin>>n;
    int cifra;
    int br1=0;
    vector<int>v(n);
    int s=1;
    int br2=1;
    for(int i=1;i<n+1;i++)
    {    br2=i;
         s=1;
         while(br2>0)
            {
            cifra=br2%10;
            s=s*cifra;
            br2=br2/10;
            }
         v.push_back(s);
    }
    sort(v.begin(),v.end());
    for(int i=1;i<v.size();i++)
        if(v[i-1]==v[i])
           br1++;
    cout<<v.size()-br1;
 return 0;
}